##
 # bubble_merge_library.mcfunction
 # 
 #
 # Created by Lifeely.
##

##This function must be activated as text_display that need to be changed, it will check its conditions and based on that, and bubble will be selected
## The meaning of the number Bubbles are listed in lifeely/functions/files/library

## - Rules of talking_bubbles selection
# 0 - Bubble Talk/Thing must be always visible (0 or 1)
# 1 - All villagers talk about Time at specific tick (5 Times, #Ticks: 0/2000/9000/11000/12000) (https://cdn.discordapp.com/attachments/441611314863800321/1185878760831078481/image.png?ex=659136a9&is=657ec1a9&hm=b273f15d783368ad41754caf9be31bd0f952a2eb04f5ddf020a14a4166f9e91f&)
# 2 - As #villagers that #have #professions, #talk #about #work during work time.
# 3 - As #villagers that #does #not #have #professions, #thing #about #work
# 4 - As #villagers #Nitwits think dumb lol 
# 5 - #Child villagers only #happy, and #when zombies/pillagers/thunder/raid/zombie_siege always #afraid
# 6 - When #player #near a #villager #during #freetime, #gossip about that player positive/negative
# 7 - #Thinking is active when #no player/villager near,     #Talking is active when player/villager #is near.
# 8 - When Gather time, make villagers talk faster and often (Screeming for the best price)

## - Events
# #event_natural        =   gossip/emotions/entity/weather
# #event_time           =   ticktime/day/night
# #event_work           =   has_profession/has_noprofession
# #event_raid           =   raid/1..

##What needs to happen
# 1 - First events must be check based on event give tag to text_display (@s)
# 2 - Based on event_tag select random number for that specific event (Roll random bubble from tag)
# 3 - Then change text_displays text to selected one
# 4 - At the end remove the event tag


## Section 1  =  Give event_tag to text_display (@s) + random chance to talk about an random thing during its event
#event_raid
execute if entity @a[scores={._..tb_VillagersRaidTrigger=1..},distance=..70] run tag @s add event_raid

#event_scared
execute positioned ~ ~-1.95 ~ if entity @e[type=zombie_villager,distance=..7] run tag @s[tag=!event_raid] add event_scared
execute positioned ~ ~-1.95 ~ if entity @e[type=zombie,distance=..7] run tag @s[tag=!event_raid] add event_scared
execute positioned ~ ~-1.95 ~ if entity @e[type=pillager,distance=..7] run tag @s[tag=!event_raid] add event_scared
execute positioned ~ ~-1.95 ~ if entity @e[type=vindicator,distance=..7] run tag @s[tag=!event_raid] add event_scared
execute positioned ~ ~-1.95 ~ if entity @e[type=ravager,distance=..7] run tag @s[tag=!event_raid] add event_scared
execute positioned ~ ~-1.95 ~ if entity @e[type=evoker,distance=..7] run tag @s[tag=!event_raid] add event_scared
execute positioned ~ ~-1.95 ~ if entity @e[type=witch,distance=..7] run tag @s[tag=!event_raid] add event_scared

#event_time     1-5
execute if score Time ._..tb_VillagersInfo matches 0..40 run tag @s[tag=!event_raid,tag=!event_scared] add event_time
execute if score Time ._..tb_VillagersInfo matches 1980 run tag @s[tag=!event_raid,tag=!event_scared] add event_time
execute if score Time ._..tb_VillagersInfo matches 8980 run tag @s[tag=!event_raid,tag=!event_scared] add event_time
execute if score Time ._..tb_VillagersInfo matches 10980 run tag @s[tag=!event_raid,tag=!event_scared] add event_time
execute if score Time ._..tb_VillagersInfo matches 11980 run tag @s[tag=!event_raid,tag=!event_scared] add event_time

# 16% = Talk about natural
# 84% = Do selected thing

execute as @s[tag=!event_scared,tag=!event_raid,tag=!event_time,tag=!event_natural] store result score @s ._..tb_VillagersRandomChanceChangeBubble run random value 1..100
execute as @s[tag=!event_scared,tag=!event_raid,tag=!event_time,tag=!event_natural] if score @s ._..tb_VillagersRandomChanceChangeBubble matches 1..15 run tag @s add event_natural

#event_work
execute if score Time ._..tb_VillagersInfo matches 2000..9000 if score @s ._..tb_VillagersRandomChanceChangeBubble matches 31..100 at @s positioned ~ ~-1.95 ~ if entity @e[sort=nearest,type=villager,tag=talking_villager,nbt={VillagerData:{profession:"minecraft:armorer"}},distance=..0.05] if entity @s[tag=!event_scared,tag=!event_time,tag=!event_raid,tag=!event_work_armorer,tag=!event_work_butcher,tag=!event_work_cartographer,tag=!event_work_cleric,tag=!event_work_farmer,tag=!event_work_fisherman,tag=!event_work_fletcher,tag=!event_work_leatherworker,tag=!event_work_librarian,tag=!event_work_mason,tag=!event_work_shepherd,tag=!event_work_toolsmith,tag=!event_work_weaponsmith,tag=!event_work_none,tag=!event_natural] run tag @s add event_work_armorer
execute if score Time ._..tb_VillagersInfo matches 2000..9000 if score @s ._..tb_VillagersRandomChanceChangeBubble matches 31..100 at @s positioned ~ ~-1.95 ~ if entity @e[sort=nearest,type=villager,tag=talking_villager,nbt={VillagerData:{profession:"minecraft:butcher"}},distance=..0.05] if entity @s[tag=!event_scared,tag=!event_time,tag=!event_raid,tag=!event_work_armorer,tag=!event_work_butcher,tag=!event_work_cartographer,tag=!event_work_cleric,tag=!event_work_farmer,tag=!event_work_fisherman,tag=!event_work_fletcher,tag=!event_work_leatherworker,tag=!event_work_librarian,tag=!event_work_mason,tag=!event_work_shepherd,tag=!event_work_toolsmith,tag=!event_work_weaponsmith,tag=!event_work_none,tag=!event_natural] run tag @s add event_work_butcher
execute if score Time ._..tb_VillagersInfo matches 2000..9000 if score @s ._..tb_VillagersRandomChanceChangeBubble matches 31..100 at @s positioned ~ ~-1.95 ~ if entity @e[sort=nearest,type=villager,tag=talking_villager,nbt={VillagerData:{profession:"minecraft:cartographer"}},distance=..0.05] if entity @s[tag=!event_scared,tag=!event_time,tag=!event_raid,tag=!event_work_armorer,tag=!event_work_butcher,tag=!event_work_cartographer,tag=!event_work_cleric,tag=!event_work_farmer,tag=!event_work_fisherman,tag=!event_work_fletcher,tag=!event_work_leatherworker,tag=!event_work_librarian,tag=!event_work_mason,tag=!event_work_shepherd,tag=!event_work_toolsmith,tag=!event_work_weaponsmith,tag=!event_work_none,tag=!event_natural] run tag @s add event_work_cartographer
execute if score Time ._..tb_VillagersInfo matches 2000..9000 if score @s ._..tb_VillagersRandomChanceChangeBubble matches 31..100 at @s positioned ~ ~-1.95 ~ if entity @e[sort=nearest,type=villager,tag=talking_villager,nbt={VillagerData:{profession:"minecraft:cleric"}},distance=..0.05] if entity @s[tag=!event_scared,tag=!event_time,tag=!event_raid,tag=!event_work_armorer,tag=!event_work_butcher,tag=!event_work_cartographer,tag=!event_work_cleric,tag=!event_work_farmer,tag=!event_work_fisherman,tag=!event_work_fletcher,tag=!event_work_leatherworker,tag=!event_work_librarian,tag=!event_work_mason,tag=!event_work_shepherd,tag=!event_work_toolsmith,tag=!event_work_weaponsmith,tag=!event_work_none,tag=!event_natural] run tag @s add event_work_cleric
execute if score Time ._..tb_VillagersInfo matches 2000..9000 if score @s ._..tb_VillagersRandomChanceChangeBubble matches 31..100 at @s positioned ~ ~-1.95 ~ if entity @e[sort=nearest,type=villager,tag=talking_villager,nbt={VillagerData:{profession:"minecraft:farmer"}},distance=..0.05] if entity @s[tag=!event_scared,tag=!event_time,tag=!event_raid,tag=!event_work_armorer,tag=!event_work_butcher,tag=!event_work_cartographer,tag=!event_work_cleric,tag=!event_work_farmer,tag=!event_work_fisherman,tag=!event_work_fletcher,tag=!event_work_leatherworker,tag=!event_work_librarian,tag=!event_work_mason,tag=!event_work_shepherd,tag=!event_work_toolsmith,tag=!event_work_weaponsmith,tag=!event_work_none,tag=!event_natural] run tag @s add event_work_farmer
execute if score Time ._..tb_VillagersInfo matches 2000..9000 if score @s ._..tb_VillagersRandomChanceChangeBubble matches 31..100 at @s positioned ~ ~-1.95 ~ if entity @e[sort=nearest,type=villager,tag=talking_villager,nbt={VillagerData:{profession:"minecraft:fisherman"}},distance=..0.05] if entity @s[tag=!event_scared,tag=!event_time,tag=!event_raid,tag=!event_work_armorer,tag=!event_work_butcher,tag=!event_work_cartographer,tag=!event_work_cleric,tag=!event_work_farmer,tag=!event_work_fisherman,tag=!event_work_fletcher,tag=!event_work_leatherworker,tag=!event_work_librarian,tag=!event_work_mason,tag=!event_work_shepherd,tag=!event_work_toolsmith,tag=!event_work_weaponsmith,tag=!event_work_none,tag=!event_natural] run tag @s add event_work_fisherman
execute if score Time ._..tb_VillagersInfo matches 2000..9000 if score @s ._..tb_VillagersRandomChanceChangeBubble matches 31..100 at @s positioned ~ ~-1.95 ~ if entity @e[sort=nearest,type=villager,tag=talking_villager,nbt={VillagerData:{profession:"minecraft:fletcher"}},distance=..0.05] if entity @s[tag=!event_scared,tag=!event_time,tag=!event_raid,tag=!event_work_armorer,tag=!event_work_butcher,tag=!event_work_cartographer,tag=!event_work_cleric,tag=!event_work_farmer,tag=!event_work_fisherman,tag=!event_work_fletcher,tag=!event_work_leatherworker,tag=!event_work_librarian,tag=!event_work_mason,tag=!event_work_shepherd,tag=!event_work_toolsmith,tag=!event_work_weaponsmith,tag=!event_work_none,tag=!event_natural] run tag @s add event_work_fletcher
execute if score Time ._..tb_VillagersInfo matches 2000..9000 if score @s ._..tb_VillagersRandomChanceChangeBubble matches 31..100 at @s positioned ~ ~-1.95 ~ if entity @e[sort=nearest,type=villager,tag=talking_villager,nbt={VillagerData:{profession:"minecraft:leatherworker"}},distance=..0.05] if entity @s[tag=!event_scared,tag=!event_time,tag=!event_raid,tag=!event_work_armorer,tag=!event_work_butcher,tag=!event_work_cartographer,tag=!event_work_cleric,tag=!event_work_farmer,tag=!event_work_fisherman,tag=!event_work_fletcher,tag=!event_work_leatherworker,tag=!event_work_librarian,tag=!event_work_mason,tag=!event_work_shepherd,tag=!event_work_toolsmith,tag=!event_work_weaponsmith,tag=!event_work_none,tag=!event_natural] run tag @s add event_work_leatherworker
execute if score Time ._..tb_VillagersInfo matches 2000..9000 if score @s ._..tb_VillagersRandomChanceChangeBubble matches 31..100 at @s positioned ~ ~-1.95 ~ if entity @e[sort=nearest,type=villager,tag=talking_villager,nbt={VillagerData:{profession:"minecraft:librarian"}},distance=..0.05] if entity @s[tag=!event_scared,tag=!event_time,tag=!event_raid,tag=!event_work_armorer,tag=!event_work_butcher,tag=!event_work_cartographer,tag=!event_work_cleric,tag=!event_work_farmer,tag=!event_work_fisherman,tag=!event_work_fletcher,tag=!event_work_leatherworker,tag=!event_work_librarian,tag=!event_work_mason,tag=!event_work_shepherd,tag=!event_work_toolsmith,tag=!event_work_weaponsmith,tag=!event_work_none,tag=!event_natural] run tag @s add event_work_librarian
execute if score Time ._..tb_VillagersInfo matches 2000..9000 if score @s ._..tb_VillagersRandomChanceChangeBubble matches 31..100 at @s positioned ~ ~-1.95 ~ if entity @e[sort=nearest,type=villager,tag=talking_villager,nbt={VillagerData:{profession:"minecraft:mason"}},distance=..0.05] if entity @s[tag=!event_scared,tag=!event_time,tag=!event_raid,tag=!event_work_armorer,tag=!event_work_butcher,tag=!event_work_cartographer,tag=!event_work_cleric,tag=!event_work_farmer,tag=!event_work_fisherman,tag=!event_work_fletcher,tag=!event_work_leatherworker,tag=!event_work_librarian,tag=!event_work_mason,tag=!event_work_shepherd,tag=!event_work_toolsmith,tag=!event_work_weaponsmith,tag=!event_work_none,tag=!event_natural] run tag @s add event_work_mason
execute if score Time ._..tb_VillagersInfo matches 2000..9000 if score @s ._..tb_VillagersRandomChanceChangeBubble matches 31..100 at @s positioned ~ ~-1.95 ~ if entity @e[sort=nearest,type=villager,tag=talking_villager,nbt={VillagerData:{profession:"minecraft:shepherd"}},distance=..0.05] if entity @s[tag=!event_scared,tag=!event_time,tag=!event_raid,tag=!event_work_armorer,tag=!event_work_butcher,tag=!event_work_cartographer,tag=!event_work_cleric,tag=!event_work_farmer,tag=!event_work_fisherman,tag=!event_work_fletcher,tag=!event_work_leatherworker,tag=!event_work_librarian,tag=!event_work_mason,tag=!event_work_shepherd,tag=!event_work_toolsmith,tag=!event_work_weaponsmith,tag=!event_work_none,tag=!event_natural] run tag @s add event_work_shepherd
execute if score Time ._..tb_VillagersInfo matches 2000..9000 if score @s ._..tb_VillagersRandomChanceChangeBubble matches 31..100 at @s positioned ~ ~-1.95 ~ if entity @e[sort=nearest,type=villager,tag=talking_villager,nbt={VillagerData:{profession:"minecraft:toolsmith"}},distance=..0.05] if entity @s[tag=!event_scared,tag=!event_time,tag=!event_raid,tag=!event_work_armorer,tag=!event_work_butcher,tag=!event_work_cartographer,tag=!event_work_cleric,tag=!event_work_farmer,tag=!event_work_fisherman,tag=!event_work_fletcher,tag=!event_work_leatherworker,tag=!event_work_librarian,tag=!event_work_mason,tag=!event_work_shepherd,tag=!event_work_toolsmith,tag=!event_work_weaponsmith,tag=!event_work_none,tag=!event_natural] run tag @s add event_work_toolsmith
execute if score Time ._..tb_VillagersInfo matches 2000..9000 if score @s ._..tb_VillagersRandomChanceChangeBubble matches 31..100 at @s positioned ~ ~-1.95 ~ if entity @e[sort=nearest,type=villager,tag=talking_villager,nbt={VillagerData:{profession:"minecraft:weaponsmith"}},distance=..0.05] if entity @s[tag=!event_scared,tag=!event_time,tag=!event_raid,tag=!event_work_armorer,tag=!event_work_butcher,tag=!event_work_cartographer,tag=!event_work_cleric,tag=!event_work_farmer,tag=!event_work_fisherman,tag=!event_work_fletcher,tag=!event_work_leatherworker,tag=!event_work_librarian,tag=!event_work_mason,tag=!event_work_shepherd,tag=!event_work_toolsmith,tag=!event_work_weaponsmith,tag=!event_work_none,tag=!event_natural] run tag @s add event_work_weaponsmith
execute if score Time ._..tb_VillagersInfo matches 2000..9000 if score @s ._..tb_VillagersRandomChanceChangeBubble matches 31..100 at @s positioned ~ ~-1.95 ~ if entity @e[sort=nearest,type=villager,tag=talking_villager,nbt={VillagerData:{profession:"minecraft:none"}},distance=..0.05] if entity @s[tag=!event_scared,tag=!event_time,tag=!event_raid,tag=!event_work_armorer,tag=!event_work_butcher,tag=!event_work_cartographer,tag=!event_work_cleric,tag=!event_work_farmer,tag=!event_work_fisherman,tag=!event_work_fletcher,tag=!event_work_leatherworker,tag=!event_work_librarian,tag=!event_work_mason,tag=!event_work_shepherd,tag=!event_work_toolsmith,tag=!event_work_weaponsmith,tag=!event_work_none,tag=!event_natural] run tag @s add event_work_none


##******

##It would be a lot better if is just save it at the beginning into string of the storage of that text_display

##******
#event_natural
execute if entity @s[tag=!event_scared,tag=!event_raid,tag=!event_time,tag=!event_work_armorer,tag=!event_work_butcher,tag=!event_work_cartographer,tag=!event_work_cleric,tag=!event_work_farmer,tag=!event_work_fisherman,tag=!event_work_fletcher,tag=!event_work_leatherworker,tag=!event_work_librarian,tag=!event_work_mason,tag=!event_work_shepherd,tag=!event_work_toolsmith,tag=!event_work_weaponsmith,tag=!event_work_none] run tag @s add event_natural

## Section 2  =  Based on event_tag select randomNumber for bubble type
execute as @s[tag=event_raid] store result score @s ._..tb_VillagersBubbleSelected run random value 1..5
execute if score Time ._..tb_VillagersInfo matches 0..40 as @s[tag=event_time] run scoreboard players set @s ._..tb_VillagersBubbleSelected 1
execute if score Time ._..tb_VillagersInfo matches 1980..2020 as @s[tag=event_time] run scoreboard players set @s ._..tb_VillagersBubbleSelected 2
execute if score Time ._..tb_VillagersInfo matches 8980..9020 as @s[tag=event_time] run scoreboard players set @s ._..tb_VillagersBubbleSelected 3
execute if score Time ._..tb_VillagersInfo matches 10980..11020 as @s[tag=event_time] run scoreboard players set @s ._..tb_VillagersBubbleSelected 4
execute if score Time ._..tb_VillagersInfo matches 11080..12020 as @s[tag=event_time] run scoreboard players set @s ._..tb_VillagersBubbleSelected 5

execute as @s[tag=event_scared] store result score @s ._..tb_VillagersBubbleChanceEmotion run random value 0..4

execute as @s[tag=event_scared] if score @s ._..tb_VillagersBubbleChanceEmotion matches 0 if score @s ._..tb_VillagersBubbleSelected matches 0 positioned ~ ~-1.95 ~ run scoreboard players set @s ._..tb_VillagersBubbleSelected 12
execute as @s[tag=event_scared] if score @s ._..tb_VillagersBubbleChanceEmotion matches 1 if score @s ._..tb_VillagersBubbleSelected matches 0 positioned ~ ~-1.95 ~ run scoreboard players set @s ._..tb_VillagersBubbleSelected 13
execute as @s[tag=event_scared] if score @s ._..tb_VillagersBubbleChanceEmotion matches 2 if score @s ._..tb_VillagersBubbleSelected matches 0 positioned ~ ~-1.95 ~ run scoreboard players set @s ._..tb_VillagersBubbleSelected 14
execute as @s[tag=event_scared] if score @s ._..tb_VillagersBubbleChanceEmotion matches 3 if score @s ._..tb_VillagersBubbleSelected matches 0 positioned ~ ~-1.95 ~ run scoreboard players set @s ._..tb_VillagersBubbleSelected 15
execute as @s[tag=event_scared] if score @s ._..tb_VillagersBubbleChanceEmotion matches 4 if score @s ._..tb_VillagersBubbleSelected matches 0 positioned ~ ~-1.95 ~ run scoreboard players set @s ._..tb_VillagersBubbleSelected 16

execute as @s[tag=event_work_none] store result score @s ._..tb_VillagersBubbleSelected run random value 1..14
execute as @s[tag=event_work_armorer] store result score @s ._..tb_VillagersBubbleSelected run random value 1..17
execute as @s[tag=event_work_butcher] store result score @s ._..tb_VillagersBubbleSelected run random value 1..16
execute as @s[tag=event_work_cartographer] store result score @s ._..tb_VillagersBubbleSelected run random value 1..13
execute as @s[tag=event_work_cleric] store result score @s ._..tb_VillagersBubbleSelected run random value 1..16
execute as @s[tag=event_work_farmer] store result score @s ._..tb_VillagersBubbleSelected run random value 1..17
execute as @s[tag=event_work_fisherman] store result score @s ._..tb_VillagersBubbleSelected run random value 1..16
execute as @s[tag=event_work_fletcher] store result score @s ._..tb_VillagersBubbleSelected run random value 1..14
execute as @s[tag=event_work_leatherworker] store result score @s ._..tb_VillagersBubbleSelected run random value 1..14
execute as @s[tag=event_work_librarian] store result score @s ._..tb_VillagersBubbleSelected run random value 1..14
execute as @s[tag=event_work_mason] store result score @s ._..tb_VillagersBubbleSelected run random value 1..17
execute as @s[tag=event_work_shepherd] store result score @s ._..tb_VillagersBubbleSelected run random value 1..11
execute as @s[tag=event_work_toolsmith] store result score @s ._..tb_VillagersBubbleSelected run random value 1..18
execute as @s[tag=event_work_weaponsmith] store result score @s ._..tb_VillagersBubbleSelected run random value 1..16

##._..tb_VillagersBubbleEmotionChouse 0..5
# 0     =       Anger
# 1     =       Disgust
# 2     =       Fear
# 3     =       Happy
# 4     =       Sad
# 5     =       Surprise

##Generate randomNumbersForNaturalStates
execute as @s[tag=event_natural] store result score @s ._..tb_VillagersBubbleChance run random value 0..9
execute as @s[tag=event_natural] store result score @s ._..tb_VillagersBubbleChanceEmotion run random value 0..4
execute as @s[tag=event_natural] store result score @s ._..tb_VillagersBubbleEmotionChouse run random value 0..5

##Entity Check
execute as @s[tag=event_natural] if score @s ._..tb_VillagersBubbleChance matches 0..2 if score @s ._..tb_VillagersBubbleSelected matches 0 positioned ~ ~-1.95 ~ if entity @e[type=zombie_villager,distance=..12] run scoreboard players set @s ._..tb_VillagersBubbleSelected 42
execute as @s[tag=event_natural] if score @s ._..tb_VillagersBubbleChance matches 0..2 if score @s ._..tb_VillagersBubbleSelected matches 0 positioned ~ ~-1.95 ~ if entity @e[type=zombie,distance=..12] run scoreboard players set @s ._..tb_VillagersBubbleSelected 40
execute as @s[tag=event_natural] if score @s ._..tb_VillagersBubbleChance matches 0..2 if score @s ._..tb_VillagersBubbleSelected matches 0 positioned ~ ~-1.95 ~ if entity @e[type=pillager,distance=..12] run scoreboard players set @s ._..tb_VillagersBubbleSelected 51
execute as @s[tag=event_natural] if score @s ._..tb_VillagersBubbleChance matches 0..2 if score @s ._..tb_VillagersBubbleSelected matches 0 positioned ~ ~-1.95 ~ if entity @e[type=vindicator,distance=..12] run scoreboard players set @s ._..tb_VillagersBubbleSelected 52
execute as @s[tag=event_natural] if score @s ._..tb_VillagersBubbleChance matches 0..2 if score @s ._..tb_VillagersBubbleSelected matches 0 positioned ~ ~-1.95 ~ if entity @e[type=ravager,distance=..12] run scoreboard players set @s ._..tb_VillagersBubbleSelected 53
execute as @s[tag=event_natural] if score @s ._..tb_VillagersBubbleChance matches 0..2 if score @s ._..tb_VillagersBubbleSelected matches 0 positioned ~ ~-1.95 ~ if entity @e[type=evoker,distance=..12] run scoreboard players set @s ._..tb_VillagersBubbleSelected 54
execute as @s[tag=event_natural] if score @s ._..tb_VillagersBubbleChance matches 0..2 if score @s ._..tb_VillagersBubbleSelected matches 0 positioned ~ ~-1.95 ~ if entity @e[type=witch,distance=..12] run scoreboard players set @s ._..tb_VillagersBubbleSelected 55
execute as @s[tag=event_natural] if score @s ._..tb_VillagersBubbleChance matches 0..2 if score @s ._..tb_VillagersBubbleSelected matches 0 positioned ~ ~-1.95 ~ if entity @e[type=player,distance=..4] run scoreboard players set @s ._..tb_VillagersBubbleSelected 44
execute as @s[tag=event_natural] if score @s ._..tb_VillagersBubbleChance matches 0..2 if score @s ._..tb_VillagersBubbleSelected matches 0 positioned ~ ~-1.95 ~ if entity @e[type=wandering_trader,distance=..7] run scoreboard players set @s ._..tb_VillagersBubbleSelected 56
execute as @s[tag=event_natural] if score @s ._..tb_VillagersBubbleChance matches 0..2 if score @s ._..tb_VillagersBubbleSelected matches 0 positioned ~ ~-1.95 ~ if entity @e[type=skeleton,distance=..12] run scoreboard players set @s ._..tb_VillagersBubbleSelected 41
execute as @s[tag=event_natural] if score @s ._..tb_VillagersBubbleChance matches 0..2 if score @s ._..tb_VillagersBubbleSelected matches 0 positioned ~ ~-1.95 ~ if entity @e[type=creeper,distance=..12] run scoreboard players set @s ._..tb_VillagersBubbleSelected 43
execute as @s[tag=event_natural] if score @s ._..tb_VillagersBubbleChance matches 0..2 if score @s ._..tb_VillagersBubbleSelected matches 0 positioned ~ ~-1.95 ~ if entity @e[type=cat,distance=..5] run scoreboard players set @s ._..tb_VillagersBubbleSelected 45
execute as @s[tag=event_natural] if score @s ._..tb_VillagersBubbleChance matches 0..2 if score @s ._..tb_VillagersBubbleSelected matches 0 positioned ~ ~-1.95 ~ if entity @e[type=wolf,distance=..5] run scoreboard players set @s ._..tb_VillagersBubbleSelected 46
execute as @s[tag=event_natural] if score @s ._..tb_VillagersBubbleChance matches 0..2 if score @s ._..tb_VillagersBubbleSelected matches 0 positioned ~ ~-1.95 ~ if entity @e[type=parrot,distance=..5] run scoreboard players set @s ._..tb_VillagersBubbleSelected 47
execute as @s[tag=event_natural] if score @s ._..tb_VillagersBubbleChance matches 0..2 if score @s ._..tb_VillagersBubbleSelected matches 0 positioned ~ ~-1.95 ~ if entity @e[type=pig,distance=..7] run scoreboard players set @s ._..tb_VillagersBubbleSelected 48
execute as @s[tag=event_natural] if score @s ._..tb_VillagersBubbleChance matches 0..2 if score @s ._..tb_VillagersBubbleSelected matches 0 positioned ~ ~-1.95 ~ if entity @e[type=cow,distance=..7] run scoreboard players set @s ._..tb_VillagersBubbleSelected 49
execute as @s[tag=event_natural] if score @s ._..tb_VillagersBubbleChance matches 0..2 if score @s ._..tb_VillagersBubbleSelected matches 0 positioned ~ ~-1.95 ~ if entity @e[type=sheep,distance=..7] run scoreboard players set @s ._..tb_VillagersBubbleSelected 50
execute as @s[tag=event_natural] if score @s ._..tb_VillagersBubbleChance matches 0..2 if score @s ._..tb_VillagersBubbleSelected matches 0 positioned ~ ~-1.95 ~ if entity @e[type=iron_golem,distance=..7] run scoreboard players set @s ._..tb_VillagersBubbleSelected 57
execute as @s[tag=event_natural] if score @s ._..tb_VillagersBubbleChance matches 0..2 if score @s ._..tb_VillagersBubbleSelected matches 0 positioned ~ ~-1.95 ~ if entity @e[type=bee,distance=..5] run scoreboard players set @s ._..tb_VillagersBubbleSelected 58
execute as @s[tag=event_natural] if score @s ._..tb_VillagersBubbleChance matches 0..2 if score @s ._..tb_VillagersBubbleSelected matches 0 positioned ~ ~-1.95 ~ if entity @e[type=chicken,distance=..7] run scoreboard players set @s ._..tb_VillagersBubbleSelected 59
execute as @s[tag=event_natural] if score @s ._..tb_VillagersBubbleChance matches 0..2 if score @s ._..tb_VillagersBubbleSelected matches 0 positioned ~ ~-1.95 ~ if entity @e[type=villager,distance=..7,nbt={VillagerData:{profession:"minecraft:nitwit"}}] run scoreboard players set @s ._..tb_VillagersBubbleSelected 60

##Random Item Talk
execute as @s[tag=event_natural] if score @s ._..tb_VillagersBubbleChance matches 3..7 if score @s ._..tb_VillagersBubbleSelected matches 0 run function events:_event_random_bubble

##Emotions
#Anger
execute as @s[tag=event_natural] if score @s ._..tb_VillagersBubbleChance matches 8 if score @s ._..tb_VillagersBubbleEmotionChouse matches 0 if score @s ._..tb_VillagersBubbleChanceEmotion matches 0 if score @s ._..tb_VillagersBubbleSelected matches 0 positioned ~ ~-1.95 ~ run scoreboard players set @s ._..tb_VillagersBubbleSelected 2
execute as @s[tag=event_natural] if score @s ._..tb_VillagersBubbleChance matches 8 if score @s ._..tb_VillagersBubbleEmotionChouse matches 0 if score @s ._..tb_VillagersBubbleChanceEmotion matches 1 if score @s ._..tb_VillagersBubbleSelected matches 0 positioned ~ ~-1.95 ~ run scoreboard players set @s ._..tb_VillagersBubbleSelected 3
execute as @s[tag=event_natural] if score @s ._..tb_VillagersBubbleChance matches 8 if score @s ._..tb_VillagersBubbleEmotionChouse matches 0 if score @s ._..tb_VillagersBubbleChanceEmotion matches 2 if score @s ._..tb_VillagersBubbleSelected matches 0 positioned ~ ~-1.95 ~ run scoreboard players set @s ._..tb_VillagersBubbleSelected 4
execute as @s[tag=event_natural] if score @s ._..tb_VillagersBubbleChance matches 8 if score @s ._..tb_VillagersBubbleEmotionChouse matches 0 if score @s ._..tb_VillagersBubbleChanceEmotion matches 3 if score @s ._..tb_VillagersBubbleSelected matches 0 positioned ~ ~-1.95 ~ run scoreboard players set @s ._..tb_VillagersBubbleSelected 5
execute as @s[tag=event_natural] if score @s ._..tb_VillagersBubbleChance matches 8 if score @s ._..tb_VillagersBubbleEmotionChouse matches 0 if score @s ._..tb_VillagersBubbleChanceEmotion matches 4 if score @s ._..tb_VillagersBubbleSelected matches 0 positioned ~ ~-1.95 ~ run scoreboard players set @s ._..tb_VillagersBubbleSelected 6
#Disgust
execute as @s[tag=event_natural] if score @s ._..tb_VillagersBubbleChance matches 8 if score @s ._..tb_VillagersBubbleEmotionChouse matches 1 if score @s ._..tb_VillagersBubbleChanceEmotion matches 0 if score @s ._..tb_VillagersBubbleSelected matches 0 positioned ~ ~-1.95 ~ run scoreboard players set @s ._..tb_VillagersBubbleSelected 7
execute as @s[tag=event_natural] if score @s ._..tb_VillagersBubbleChance matches 8 if score @s ._..tb_VillagersBubbleEmotionChouse matches 1 if score @s ._..tb_VillagersBubbleChanceEmotion matches 1 if score @s ._..tb_VillagersBubbleSelected matches 0 positioned ~ ~-1.95 ~ run scoreboard players set @s ._..tb_VillagersBubbleSelected 8
execute as @s[tag=event_natural] if score @s ._..tb_VillagersBubbleChance matches 8 if score @s ._..tb_VillagersBubbleEmotionChouse matches 1 if score @s ._..tb_VillagersBubbleChanceEmotion matches 2 if score @s ._..tb_VillagersBubbleSelected matches 0 positioned ~ ~-1.95 ~ run scoreboard players set @s ._..tb_VillagersBubbleSelected 9
execute as @s[tag=event_natural] if score @s ._..tb_VillagersBubbleChance matches 8 if score @s ._..tb_VillagersBubbleEmotionChouse matches 1 if score @s ._..tb_VillagersBubbleChanceEmotion matches 3 if score @s ._..tb_VillagersBubbleSelected matches 0 positioned ~ ~-1.95 ~ run scoreboard players set @s ._..tb_VillagersBubbleSelected 10
execute as @s[tag=event_natural] if score @s ._..tb_VillagersBubbleChance matches 8 if score @s ._..tb_VillagersBubbleEmotionChouse matches 1 if score @s ._..tb_VillagersBubbleChanceEmotion matches 4 if score @s ._..tb_VillagersBubbleSelected matches 0 positioned ~ ~-1.95 ~ run scoreboard players set @s ._..tb_VillagersBubbleSelected 11
#Fear
execute as @s[tag=event_natural] if score @s ._..tb_VillagersBubbleChance matches 8 if score @s ._..tb_VillagersBubbleEmotionChouse matches 2 if score @s ._..tb_VillagersBubbleChanceEmotion matches 0 if score @s ._..tb_VillagersBubbleSelected matches 0 positioned ~ ~-1.95 ~ run scoreboard players set @s ._..tb_VillagersBubbleSelected 12
execute as @s[tag=event_natural] if score @s ._..tb_VillagersBubbleChance matches 8 if score @s ._..tb_VillagersBubbleEmotionChouse matches 2 if score @s ._..tb_VillagersBubbleChanceEmotion matches 1 if score @s ._..tb_VillagersBubbleSelected matches 0 positioned ~ ~-1.95 ~ run scoreboard players set @s ._..tb_VillagersBubbleSelected 13
execute as @s[tag=event_natural] if score @s ._..tb_VillagersBubbleChance matches 8 if score @s ._..tb_VillagersBubbleEmotionChouse matches 2 if score @s ._..tb_VillagersBubbleChanceEmotion matches 2 if score @s ._..tb_VillagersBubbleSelected matches 0 positioned ~ ~-1.95 ~ run scoreboard players set @s ._..tb_VillagersBubbleSelected 14
execute as @s[tag=event_natural] if score @s ._..tb_VillagersBubbleChance matches 8 if score @s ._..tb_VillagersBubbleEmotionChouse matches 2 if score @s ._..tb_VillagersBubbleChanceEmotion matches 3 if score @s ._..tb_VillagersBubbleSelected matches 0 positioned ~ ~-1.95 ~ run scoreboard players set @s ._..tb_VillagersBubbleSelected 15
execute as @s[tag=event_natural] if score @s ._..tb_VillagersBubbleChance matches 8 if score @s ._..tb_VillagersBubbleEmotionChouse matches 2 if score @s ._..tb_VillagersBubbleChanceEmotion matches 4 if score @s ._..tb_VillagersBubbleSelected matches 0 positioned ~ ~-1.95 ~ run scoreboard players set @s ._..tb_VillagersBubbleSelected 16
#Happy
execute as @s[tag=event_natural] if score @s ._..tb_VillagersBubbleChance matches 8 if score @s ._..tb_VillagersBubbleEmotionChouse matches 3 if score @s ._..tb_VillagersBubbleChanceEmotion matches 0 if score @s ._..tb_VillagersBubbleSelected matches 0 positioned ~ ~-1.95 ~ run scoreboard players set @s ._..tb_VillagersBubbleSelected 17
execute as @s[tag=event_natural] if score @s ._..tb_VillagersBubbleChance matches 8 if score @s ._..tb_VillagersBubbleEmotionChouse matches 3 if score @s ._..tb_VillagersBubbleChanceEmotion matches 1 if score @s ._..tb_VillagersBubbleSelected matches 0 positioned ~ ~-1.95 ~ run scoreboard players set @s ._..tb_VillagersBubbleSelected 18
execute as @s[tag=event_natural] if score @s ._..tb_VillagersBubbleChance matches 8 if score @s ._..tb_VillagersBubbleEmotionChouse matches 3 if score @s ._..tb_VillagersBubbleChanceEmotion matches 2 if score @s ._..tb_VillagersBubbleSelected matches 0 positioned ~ ~-1.95 ~ run scoreboard players set @s ._..tb_VillagersBubbleSelected 19
execute as @s[tag=event_natural] if score @s ._..tb_VillagersBubbleChance matches 8 if score @s ._..tb_VillagersBubbleEmotionChouse matches 3 if score @s ._..tb_VillagersBubbleChanceEmotion matches 3 if score @s ._..tb_VillagersBubbleSelected matches 0 positioned ~ ~-1.95 ~ run scoreboard players set @s ._..tb_VillagersBubbleSelected 20
execute as @s[tag=event_natural] if score @s ._..tb_VillagersBubbleChance matches 8 if score @s ._..tb_VillagersBubbleEmotionChouse matches 3 if score @s ._..tb_VillagersBubbleChanceEmotion matches 4 if score @s ._..tb_VillagersBubbleSelected matches 0 positioned ~ ~-1.95 ~ run scoreboard players set @s ._..tb_VillagersBubbleSelected 21
#Sad
execute as @s[tag=event_natural] if score @s ._..tb_VillagersBubbleChance matches 8 if score @s ._..tb_VillagersBubbleEmotionChouse matches 4 if score @s ._..tb_VillagersBubbleChanceEmotion matches 0 if score @s ._..tb_VillagersBubbleSelected matches 0 positioned ~ ~-1.95 ~ run scoreboard players set @s ._..tb_VillagersBubbleSelected 22
execute as @s[tag=event_natural] if score @s ._..tb_VillagersBubbleChance matches 8 if score @s ._..tb_VillagersBubbleEmotionChouse matches 4 if score @s ._..tb_VillagersBubbleChanceEmotion matches 1 if score @s ._..tb_VillagersBubbleSelected matches 0 positioned ~ ~-1.95 ~ run scoreboard players set @s ._..tb_VillagersBubbleSelected 23
execute as @s[tag=event_natural] if score @s ._..tb_VillagersBubbleChance matches 8 if score @s ._..tb_VillagersBubbleEmotionChouse matches 4 if score @s ._..tb_VillagersBubbleChanceEmotion matches 2 if score @s ._..tb_VillagersBubbleSelected matches 0 positioned ~ ~-1.95 ~ run scoreboard players set @s ._..tb_VillagersBubbleSelected 24
execute as @s[tag=event_natural] if score @s ._..tb_VillagersBubbleChance matches 8 if score @s ._..tb_VillagersBubbleEmotionChouse matches 4 if score @s ._..tb_VillagersBubbleChanceEmotion matches 3 if score @s ._..tb_VillagersBubbleSelected matches 0 positioned ~ ~-1.95 ~ run scoreboard players set @s ._..tb_VillagersBubbleSelected 25
execute as @s[tag=event_natural] if score @s ._..tb_VillagersBubbleChance matches 8 if score @s ._..tb_VillagersBubbleEmotionChouse matches 4 if score @s ._..tb_VillagersBubbleChanceEmotion matches 4 if score @s ._..tb_VillagersBubbleSelected matches 0 positioned ~ ~-1.95 ~ run scoreboard players set @s ._..tb_VillagersBubbleSelected 26
#Surprise
execute as @s[tag=event_natural] if score @s ._..tb_VillagersBubbleChance matches 8 if score @s ._..tb_VillagersBubbleEmotionChouse matches 5 if score @s ._..tb_VillagersBubbleChanceEmotion matches 0 if score @s ._..tb_VillagersBubbleSelected matches 0 positioned ~ ~-1.95 ~ run scoreboard players set @s ._..tb_VillagersBubbleSelected 27
execute as @s[tag=event_natural] if score @s ._..tb_VillagersBubbleChance matches 8 if score @s ._..tb_VillagersBubbleEmotionChouse matches 5 if score @s ._..tb_VillagersBubbleChanceEmotion matches 1 if score @s ._..tb_VillagersBubbleSelected matches 0 positioned ~ ~-1.95 ~ run scoreboard players set @s ._..tb_VillagersBubbleSelected 28
execute as @s[tag=event_natural] if score @s ._..tb_VillagersBubbleChance matches 8 if score @s ._..tb_VillagersBubbleEmotionChouse matches 5 if score @s ._..tb_VillagersBubbleChanceEmotion matches 2 if score @s ._..tb_VillagersBubbleSelected matches 0 positioned ~ ~-1.95 ~ run scoreboard players set @s ._..tb_VillagersBubbleSelected 29
execute as @s[tag=event_natural] if score @s ._..tb_VillagersBubbleChance matches 8 if score @s ._..tb_VillagersBubbleEmotionChouse matches 5 if score @s ._..tb_VillagersBubbleChanceEmotion matches 3 if score @s ._..tb_VillagersBubbleSelected matches 0 positioned ~ ~-1.95 ~ run scoreboard players set @s ._..tb_VillagersBubbleSelected 30
execute as @s[tag=event_natural] if score @s ._..tb_VillagersBubbleChance matches 8 if score @s ._..tb_VillagersBubbleEmotionChouse matches 5 if score @s ._..tb_VillagersBubbleChanceEmotion matches 4 if score @s ._..tb_VillagersBubbleSelected matches 0 positioned ~ ~-1.95 ~ run scoreboard players set @s ._..tb_VillagersBubbleSelected 31

##Weather
execute as @s[tag=event_natural] if score @s ._..tb_VillagersBubbleChance matches 9 if predicate lifeely:raining run scoreboard players set @s ._..tb_VillagersBubbleSelected 37
execute as @s[tag=event_natural] if score @s ._..tb_VillagersBubbleChance matches 9 if predicate lifeely:thunder run scoreboard players set @s ._..tb_VillagersBubbleSelected 38
execute as @s[tag=event_natural] if score @s ._..tb_VillagersBubbleChance matches 9 if predicate lifeely:sunny run scoreboard players set @s ._..tb_VillagersBubbleSelected 39

##To calculate the gossip score = Calculate the minor/major +/- scores and trade, together add positive with positive and negative with negative and see where is more and based that give good or bad feelings about the player
##Gossip canceled.... for now. :)


#When havent got any other then go back to selection screen (Set score to 80)
execute as @s[tag=event_natural] if score @s ._..tb_VillagersBubbleSelected matches 0 positioned ~ ~-1.95 ~ run scoreboard players set @e[type=villager,limit=1,sort=nearest,tag=talking_villager] ._..tb_Villagersscores 80

## Section 3  =  As text_display that has specific event_tag, run the text_display change to event function (_event_*)

### Debug only, Show as particles what villager has what event
#execute as @s[tag=event_time] run particle dust 1 0.835 0.106 2 ~ ~2 ~ 0 0 0 0 10 force
#execute as @s[tag=event_raid] run particle dust 0.322 0.322 0.322 2 ~ ~2.25 ~ 0 0 0 0 10 force
#execute as @s[tag=event_work_armorer] run particle dust 0.675 0.196 0.196 2 ~ ~2.75 ~ 0 0 0 0 10 force
#execute as @s[tag=event_work_butcher] run particle dust 0.694 0.561 0.196 2 ~ ~3 ~ 0 0 0 0 10 force
#execute as @s[tag=event_work_cartographer] run particle dust 0.655 0.914 0.361 2 ~ ~3.25 ~ 0 0 0 0 10 force
#execute as @s[tag=event_work_cleric] run particle dust 0.278 0.706 0.875 2 ~ ~3.5 ~ 0 0 0 0 10 force
#execute as @s[tag=event_work_farmer] run particle dust 0.204 0.216 0.902 2 ~ ~3.75 ~ 0 0 0 0 10 force
#execute as @s[tag=event_work_fisherman] run particle dust 0.561 0.282 0.788 2 ~ ~4 ~ 0 0 0 0 10 force
#execute as @s[tag=event_work_fletcher] run particle dust 0.89 0.271 0.914 2 ~ ~4.25 ~ 0 0 0 0 10 force
#execute as @s[tag=event_work_leatherworker] run particle dust 1 0.584 0.584 2 ~ ~4.5 ~ 0 0 0 0 10 force
#execute as @s[tag=event_work_librarian] run particle dust 1 0.973 0.973 2 ~ ~4.75 ~ 0 0 0 0 10 force
#execute as @s[tag=event_work_mason] run particle dust 0.949 1 0.263 2 ~ ~5 ~ 0 0 0 0 10 force
#execute as @s[tag=event_work_shepherd] run particle dust 0.318 0.988 0.82 2 ~ ~5.25 ~ 0 0 0 0 10 force
#execute as @s[tag=event_work_toolsmith] run particle dust 0 1 0.616 2 ~ ~5.5 ~ 0 0 0 0 10 force
#execute as @s[tag=event_work_weaponsmith] run particle dust 0 0.141 0.447 2 ~ ~5.75 ~ 0 0 0 0 10 force
#execute as @s[tag=event_natural] if score @s ._..tb_VillagersBubbleChance matches 0 run particle dust 0 0 0 4 ~ ~6 ~ 0 0 0 0 10 force
#execute as @s[tag=event_natural] if score @s ._..tb_VillagersBubbleChance matches 1..2 run particle dust 1 1 1 4 ~ ~6 ~ 0 0 0 0 10 force
#execute as @s[tag=event_natural] if score @s ._..tb_VillagersBubbleChance matches 3 run particle dust 1 0.047 0.761 4 ~ ~6 ~ 0 0 0 0 10 force
#execute as @s[tag=event_natural] if score @s ._..tb_VillagersBubbleChance matches 4 run particle dust 1 0.984 0.047 4 ~ ~6 ~ 0 0 0 0 10 force
#execute as @s[tag=event_scared] run particle dust 0 0 0 2 ~ ~6 ~ 0 0 0 0 10 force

execute as @s[tag=event_time] run playsound entity.villager.celebrate master @a ~ ~ ~ 0.3 1
execute as @s[tag=event_raid] run function events:_event_raid
execute as @s[tag=event_time] run function events:_event_time
execute as @s[tag=event_work_none] run function events:_event_work
execute as @s[tag=event_work_armorer] run function events:_event_work
execute as @s[tag=event_work_butcher] run function events:_event_work
execute as @s[tag=event_work_cartographer] run function events:_event_work
execute as @s[tag=event_work_cleric] run function events:_event_work
execute as @s[tag=event_work_farmer] run function events:_event_work
execute as @s[tag=event_work_fisherman] run function events:_event_work
execute as @s[tag=event_work_fletcher] run function events:_event_work
execute as @s[tag=event_work_leatherworker] run function events:_event_work
execute as @s[tag=event_work_librarian] run function events:_event_work
execute as @s[tag=event_work_mason] run function events:_event_work
execute as @s[tag=event_work_shepherd] run function events:_event_work
execute as @s[tag=event_work_toolsmith] run function events:_event_work
execute as @s[tag=event_work_weaponsmith] run function events:_event_work
execute as @s[tag=event_natural] run function events:_event_natural
execute as @s[tag=event_scared] run function events:_event_natural



## Section 4  =  As @s clear tags
execute as @s run function lifeely:files/bubble_event_remove