##
 # library.mcfunction
 # 
 #
 # Created by Lifeely.
##

##In this a library for all the images that can apear in the bubble, every single one has a specific number that are described here

## - Rules of talking_bubbles selection
# 0 - Bubble Talk/Thing must be always visible (0 or 1)
# 1 - All villagers talk about Time at specific tick (5 Times, #Ticks: 0/2000/9000/11000/12000) (https://cdn.discordapp.com/attachments/441611314863800321/1185878760831078481/image.png?ex=659136a9&is=657ec1a9&hm=b273f15d783368ad41754caf9be31bd0f952a2eb04f5ddf020a14a4166f9e91f&)
# 2 - As #villagers that #have #professions, #talk #about #work during work time.
# 3 - As #villagers that #does #not #have #professions, #thing #about #work
# 4 - As #villagers #Nitwits think dumb lol 
# 5 - #Child villagers only #happy, and #when zombies/pillagers/thunder/raid/zombie_siege always #afraid
# 6 - When #player #near a #villager #during #freetime, #gossip about that player positive/negative
# 7 - #Thinking is active when #no player/villager near,     #Talking is active when player/villager #is near.

# Bubble Talk/Think     =               0-1

# Emotions:
# - Anger               =               2-6
# - Disgust             =               7-11
# - Fear                =               12-16
# - Happy               =               17-21
# - Sad                 =               22-26
# - Surprise            =               27-31

# Circumstances(Time,Weather,Entitys):
# - Morning(Tick 0)     =               32
# - Work(Tick2000)      =               33
# - Midday(Tick9000)    =               34
# - Evening(Tick11000)  =               35
# - Sleep(Tick12000)    =               36

# - Raining             =               37
# - Thunder             =               38
# - Sunny               =               39

# - Zombie[Radius]      =               40
# - Skeleton[Radius]    =               41
# - Zombie Villager[Rad]=               42
# - Creeper             =               43
## - Player[RandomSkin]*********<--- not implemented  =               44
# - Cat                 =               45
# - Dog                 =               46
# - Parrot              =               47
# - Pig                 =               48
# - Cow                 =               49
# - Sheep               =               50
# - Pillager            =               51
# - Vindicator          =               52
# - Ravager             =               53
# - Evoker              =               54
# - Witch               =               55
# - WanderingTrader     =               56
# - Iron Golem          =               57
# - Bee                 =               58
# - Chicken             =               59
# - Nitwit              =               60
# - Villager[none]      =               61

# Custom(Question, Exclamation, Temperature)
# - Question            =               62
# - Exclamation         =               63
# - Warm                =               64
# - Cold                =               65
# - Raid                =               66
# - Neutral(Temperature)=               67      
# - Gossip + positive   =               68      (Major/Minor Positive) << Just execute if villager has these thoughs about player (https://www.reddit.com/r/MinecraftCommands/comments/k5yu6j/how_to_modify_all_villager_gossips_for_all/)
# - Gossip - negative   =               69      (Majord/Minor Negative) << Just execute if villager has these thoughs about player (https://www.reddit.com/r/MinecraftCommands/comments/k5yu6j/how_to_modify_all_villager_gossips_for_all/)
# - Sleeping            =               70
# - Backup              =               71-75

# Items/Blocks
# - Emerald             =               76
# - Clock               =               77-81   (Tick clock for specific time)

# **Armorer:**                                          = 82            (Face of that profession)
# 1. Blast Furnace                                      = 83
# 2. Coal                                               = 84
# 3. Charcoal                                           = 85
# 4. Lava Bucket (for smelting)                         = 86
# 5. Iron Ingot                                         = 87
# 6. raw iron                                           = 88
# 7. Iron Helmet                                        = 89
# 8. Iron Chestplate                                    = 90
# 9. Iron Leggings                                      = 91
# 10. Iron Boots                                        = 92
# 11. Chain Helmet                                  = 93
# 12. Chain Chestplate                              = 94
# 13. Chain Leggings                                = 95
# 14. Chain Boots                                   = 96
# 15. Diamond                                           = 97
# 16. Iron Horse Armor                                  = 98
# 17. Leather Horse Armor                               = 99
# Backup                                                = 100-104

# **Butcher:**                                          = 105** not used          (Face of that profession)
# 1. Smoker                                             = 106
# 2. Raw Porkchop                                       = 107
# 3. Cooked Porkchop                                    = 108
# 4. Raw Chicken                                        = 109
# 5. Cooked Chicken                                     = 110
# 6. Raw Beef                                           = 111
# 7. Cooked Beef                                        = 112
# 8. Raw Mutton                                         = 113
# 9. Cooked Mutton                                      = 114
# 10. Raw Rabbit                                        = 115
# 11. Cooked Rabbit                                     = 116
# 12. iron_sword
# 13. spider_eye
# 14. chicken
# 15. cow
# 16. pig
# Backup                                               = 117-121***taken

# **Cartographer:**                                     = 122          (Face of that profession)
# 1. Cartography Table                                  = 123
# 2. Paper                                              = 124
# 3. Maps                                               = 125
# 4. Compass                                            = 126
# 5. Glass Pane (for map copying)                       = 127
# 6. Book                                               = 128
# 7. Written Book                                       = 129
# 8. Chisseled Bookshelf Occupied                       = 130
# 9. ink
# 10. glow_ink
# 11. boat
# 12. written map
# 13. spyglass
# Backup                                               = 131-135

# **Cleric:**                                           = 136          (Face of that profession)
# 1. Brewing Stand                                      = 137
# 2. Potion                                             = 138
# 3. Splash Potion                                      = 139
# 4. Lingering Potion                                   = 140
# 5. Ender Pearl                                        = 141
# 6. Blaze Rod                                          = 142
# 7. Blaze Powder                                       = 143
# 8. Nether Wart                                        = 144
# 9. Glowstone Dust                                     = 145
# 10. Redstone                                          = 146
# 11. Bottle o’ Enchanting                              = 147
# 12. amethist shard
# 13. quartz
# 14. honey_bottle
# 15. horus_fruit
# 16. redstone                                          152
# Backup                                               = 148-152

# **Farmer:**                                           = 153          (Face of that profession)
# 1. Composter                                          = 154
# 2. Wheat                                              = 155
# 3. Wheat Seeds                                        = 156
# 4. Carrots                                            = 157
# 5. Potatoes                                           = 158
# 6. Beetroot                                           = 159
# 7. Beetroot Seeds                                     = 160
# 8. Melon                                              = 161
# 9. Pumpkin                                            = 162
# 10. Bread                                             = 163
# 11. Cake                                              = 164
# 12. Cookie                                            = 165
# 13. netherite_hoe
# 14. honeycomb
# 15. honey_bottle
# 16. milk_bucket
# 17. pig
# Backup                                               = 166-170

# **Fisherman:**                                        = 171          (Face of that profession)
# 1. Barrel                                             = 172
# 2. Raw cod Fish                                           = 173
# 3. Cooked cod Fish                                        = 174
# 4. Raw Salmon                                         = 175
# 5. Cooked Salmon                                      = 176
# 6. Water Bucket                                       = 177
# 7. Fishing Rod                                        = 178
# 8. Boat                                               = 179
# 9. Campfire (to cook fish)                            = 180
# 10. Pufferfish                                        = 181
# 11. Tropical Fish                                     = 182
# 12. cat
# 13. shell
# 14. exclamation
# 15. leather_boots
# 16. pottery_sherd
# Backup                                               = 183-187

# **Fletcher:**                                         = 188          (Face of that profession)
# 1. Fletching Table                                    = 189
# 2. Bow                                                = 190
# 3. Crossbow                                           = 191
# 4. Arrow                                              = 192
# 5. Flint                                              = 193
# 6. Stick                                              = 194
# 7. Feather                                            = 195
# 8. String                                             = 196
# 9. Tripwire Hook                                      = 197
# 10. open_holdingbag
# 11. leather_chestplate
# 12. leather_leggings
# 13. campfire
# 14. flint_and_steel                                   202
# Backup                                               = 198-209/300-307

# **Leatherworker:**                                    = 203          (Face of that profession)
# 1. Cauldron                                           = 204
# 2. Leather                                            = 205
# 3. Rabbit Hide                                        = 206
# 4. Leather Helmet                                     = 207
# 5. Leather Chestplate                                 = 208
# 6. Leather Leggings                                   = 209
# 7. Leather Boots                                      = 300
# 8. Saddle                                             = 301
# 9. Leather Horse Armor                                = 302
# 10. closed_holdingbag
# 11. lead
# 12. phantom_membrane
# 13. elytra
# 14. shears                                            307
# Backup                                               = 303-307

# **Librarian:**                                        = 308          (Face of that profession)
# 1. librian_table                                            = 309
# 2. Bookshelf                                          = 310
# 3. Book                                               = 311
# 4. Paper                                              = 312
# 5. Glowing ink                                        = 313
# 6. Enchanted Book                                     = 314
# 7. Ink Sac (for writing)                              = 315
# 8. Feather (for writing)                              = 316
# 9. Glass (for making spectacles)                      = 317
# 10. nametag
# 11. trial_key
# 12. totem_of_undying
# 13. tridden
# 14. yellow_candle
# Backup                                               = 318-322

# **Mason (or Stone Mason):**                           = 323          (Face of that profession)
# 1. Stonecutter                                        = 324
# 2. Stone Bricks                                       = 325
# 3. Clay Ball                                          = 326
# 4. Smooth Stone                                       = 327
# 5. polished_Granite                                   = 328
# 6. polished_Andesite                                  = 329
# 7. polished_Diorite                                   = 330
# 8. Quartz                                             = 331
# 9. green Terracotta                                   = 332
# 10. black Glazed Terracotta (various colors)          = 333
# 11. Brick item                                        = 334
# 12. Brick Block                                       = 335
# 13. amethist_shard
# 14. diamond
# 15. raw_gold
# 16. iron_nugget
# 17. golden_nugget                                      340
# Backup                                               = 336-340

# **Shepherd:**                                         = 341          (Face of that profession)
# 1. Loom                                               = 342
# 2. Wool (various colors)                              = 343
# 3. Dye light blue (various colors)                               = 344
# 4. Shears                                             = 345
# 5. Banner white (various patterns and colors)               = 346
# 6. Bed purple                                   = 347
# 7. sheep
# 8. dog
# 9. red dye
# 10. carrot_on_a_stick
# 11. goat_horn
# Backup                                               = 348-352

# **Toolsmith:**                                        = 353          (Face of that profession)
# 1. Smithing Table                                     = 354
# 2. Iron Ingot                                         = 355
# 3. Iron Ore                                           = 356
# 4. Iron Nugget                                        = 357
# 5. Gold Ingot                                         = 358
# 6. Gold Ore                                           = 359
# 7. Gold Nugget                                        = 360
# 8. Diamond                                            = 361
# 9. Flint and Steel                                    = 362
# 10. diamond Axe                                               = 363
# 11. netherite Hoe                                               = 364
# 12. golden Pickaxe                                           = 365
# 13. iron Shovel                                            = 366
# 14. netherite_axe
# 15. netherite_ingot
# 16. netherite_scrap
# 17. netherite_upgrade
# 18. coal
# Backup                                               = 367-371

# **Weaponsmith:**                                      = 372          (Face of that profession)
# 1. Grindstone                                         = 373
# 2. Iron Ingot                                         = 374
# 3. Iron Ore                                           = 375
# 4. Iron Nugget                                        = 376
# 5. Gold Ingot                                         = 377
# 6. Gold Ore                                           = 378
# 7. Gold Nugget                                        = 379
# 8. Diamond                                            = 380
# 9. Flint and Steel                                    = 381
# 10. diamond Sword                                             = 382
# 11. netherite Axe                                               = 383
# 12. iron_sword
# 13. diamond_axe
# 14. shield
# 15. trident
# 16. recovery_compass
# Backup                                               = 384-388

# **Miscellaneous:**                                    = 389
# 1. Beds (used by all Villagers)                       = 390
# 2. Wooden Doors (part of Village structures)          = 391
# 3. Torches (part of Village structures)               = 392
# 4. Crafting Table (found in some Village structures)  = 393
# 5. Furnace (found in some Village structures)         = 394
# 6. Chest (found in some Village structures)           = 395
# 7. - -                                                = 396
# 8. Bell (centerpiece in villages)                     = 397
# 9. Ender Chest (miscellaneous storage)                = 398
# Backup                                               = 399-403

# Think about an profession as none(not nitwit) villager.
# 1. think_fisherman                                    = 210
# 2. think_fletcher                                     = 211
# 3. think_farmer                                       = 212
# 4. think_cleric                                       = 213
# 5. think_cartographer                                 = 214
# 6. think_butcher                                      = 215
# 7. think_armorer                                      = 216
# 8. think_weaponsmith                                  = 217
# 9. think_toolsmith                                    = 218
# 10. think_shepher                                     = 219
# 11. think_nitwit                                      = 220
# 12. think_mason                                       = 221
# 13. think_librian                                     = 222
# 14. think_leatherworker                               = 223

# Raid Win/ and during raid emotes
# 1. raid1                                              = 225
# 2. raid2                                              = 226
# 3. raid3                                              = 227
# 4. raid4                                              = 228
# 5. raid5                                              = 229
# 6. raid_win1                                          = 230
# 7. raid_win2                                          = 231
# 8. raid_win3                                          = 232
# 9. raid_win4                                          = 233
# 10. raid_win5 = happy emotion                         = 20

#Lifeely logo at the load sequence
# 1. made_by_lifeely                                    = 999

## ~330 Images to prepare, holy shit... im going to die