##
 # main.mcfunction
 # files
 #
 # Created by Lifeely.
##

### Show how many villagers/and text displays there are/ There cannot be more text_displays than Villagers!!!, But there can be more villagers than Textdisplay! (Babyvillagers don't get talking bubble)
execute store result score Villagers: ._..tb_VillagersInfo if entity @e[type=villager]
execute store result score TalkingBubbles: ._..tb_VillagersInfo if entity @e[type=text_display,tag=._..talking_bubble]
execute as @a at @s run execute store result score @s ._..tb_PlayersTB_InAreaCount if entity @e[type=text_display,tag=._..talking_bubble,distance=..35] 

##Info store
execute store result score Time ._..tb_VillagersInfo run time query daytime

##When villager in bed "sleeping" then remove talking_villager tag
execute as @e[type=villager,tag=talking_villager,scores={._..tb_VillagerLastSleept=1..}] run tag @s remove talking_villager
execute as @e[type=villager,tag=talking_villager,scores={._..tb_VillagerLastSleept=..-1}] run tag @s remove talking_villager

##As villager, store result of SleepingX of Villagers
#Its used later for reenabling talking bubbles after villagers leaves their bed
execute as @e[type=villager] run execute store result score @s ._..tb_VillagerLastSleept run data get entity @s SleepingX 10

## NOTE
## When giving villagers title make sure to not execute commands as villagers otherwise the game will lag very much

## Amount of execute as villager commands
## Amount = 2 + 1(Once when no talking_villager tag)

## What needs to happend
#1 - Keep on removing any villagers Main score
#2 - When score 1 Spawn Scale 0,0,0 text_display above villager that does not have the "talking_villager" tag
#3 - When score ..0 then start the number generator function to generate Random(Additional Cooldown)
#4 - When score 0 make that score interpolate to spawn animation and to ride that villager + give that villager an "talking_villager" tag = has text_display
#5 - When score ..0 make that random generate number operation addition to the main score 
#6 - When score 80(Default off score for the text_display) start the interpolation to be invisible
#7 - Check if text_display has villager near, when no kill self

## Remove all villagers 1 scoreboard score
execute as @a at @s run scoreboard players remove @e[type=villager,distance=..35] ._..tb_Villagersscores 1
execute as @e[type=villager,scores={._..tb_Villagersscores=2},nbt=!{Passengers:[{id:"minecraft:text_display",Tags:["._..talking_bubble"]}]},tag=talking_villager] run tag @s remove talking_villager

## When at 1 spawn new bubble and kill the last one
execute as @a at @s as @e[type=villager,tag=!talking_villager,distance=..35] at @s positioned ~ ~1.95 ~ unless entity @s[scores={._..tb_VillagerLastSleept=1..}] unless entity @s[scores={._..tb_VillagerLastSleept=..-1}] run function lifeely:files/bubble_spawn

## When Time to do something then force every villager to talk about time
execute if score Time ._..tb_VillagersInfo matches 38 run scoreboard players operation @e[type=villager,tag=talking_villager] ._..tb_Villagersscores = CooldownAfter_TB TB_Settings
execute if score Time ._..tb_VillagersInfo matches 1900 run scoreboard players operation @e[type=villager,tag=talking_villager] ._..tb_Villagersscores = CooldownAfter_TB TB_Settings
execute if score Time ._..tb_VillagersInfo matches 8900 run scoreboard players operation @e[type=villager,tag=talking_villager] ._..tb_Villagersscores = CooldownAfter_TB TB_Settings
execute if score Time ._..tb_VillagersInfo matches 10900 run scoreboard players operation @e[type=villager,tag=talking_villager] ._..tb_Villagersscores = CooldownAfter_TB TB_Settings
execute if score Time ._..tb_VillagersInfo matches 11900 run scoreboard players operation @e[type=villager,tag=talking_villager] ._..tb_Villagersscores = CooldownAfter_TB TB_Settings

## When at 0 spawn make bubble apear
execute as @e[type=text_display,tag=._..talking_bubble] at @s positioned ~ ~-1.95 ~ if score @e[type=villager,limit=1,sort=nearest,tag=talking_villager] ._..tb_Villagersscores matches ..0 if entity @e[type=villager,distance=0.05..7] unless entity @e[type=player,distance=..7] run function lifeely:files/bubble_spawn_animation
execute as @e[type=text_display,tag=._..talking_bubble] at @s positioned ~ ~-1.95 ~ if score @e[type=villager,limit=1,sort=nearest,tag=talking_villager] ._..tb_Villagersscores matches ..0 if entity @e[type=player,distance=..7] run function lifeely:files/bubble_spawn_animation

## When ..0 then calc score and add random cooldown and set that as the main cooldown
execute as @e[type=villager,tag=talking_villager] if score @s ._..tb_Villagersscores matches ..0 at @s run function lifeely:files/calc_score_and_add_to_main

## When at 80 start despawn bubble animation
execute as @e[type=text_display,tag=._..talking_bubble] at @s positioned ~ ~-1.95 ~ if score @e[type=villager,limit=1,sort=nearest,tag=talking_villager] ._..tb_Villagersscores = CooldownAfter_TB TB_Settings run function lifeely:files/bubble_despawn

## When text_display has no villagers near then kill it self
execute as @e[type=text_display,tag=._..talking_bubble] at @s positioned ~ ~-1.95 ~ unless entity @e[type=villager,distance=..0.05] run kill @s
execute as @e[type=villager,tag=talking_villager,nbt=!{Passengers:[{id:"minecraft:text_display"}]},scores={._..tb_Villagersscores=200}] at @s run tag @s remove talking_villager

## When player does not have #raiders near him for 30 seconds, then remove their activated raid score from scoreboard
#As raiders give player tag that they are in raid
execute as @e[type=#raiders,nbt=!{RaidId:0}] run scoreboard players set @a[distance=..160] ._..tb_VillagersRaidTrigger 1
execute as @a[scores={._..tb_VillagersRaidTrigger=1..}] at @s if entity @e[type=#raiders,distance=..160,nbt=!{RaidId:0}] run scoreboard players set @s ._..tb_VillagersNoRaidersCooldown 500
execute as @a[scores={._..tb_VillagersRaidTrigger=1..,._..tb_VillagersNoRaidersCooldown=1..}] at @s unless entity @e[type=#raiders,distance=..160,nbt=!{RaidId:0}] run scoreboard players remove @s ._..tb_VillagersNoRaidersCooldown 1
execute as @a[scores={._..tb_VillagersRaidWins=1..,._..tb_VillagersNoRaidersCooldown=1..}] at @s unless entity @e[type=#raiders,distance=..160,nbt=!{RaidId:0}] run scoreboard players remove @s ._..tb_VillagersNoRaidersCooldown 1
execute as @a[scores={._..tb_VillagersRaidTrigger=1..}] at @s if entity @s[scores={._..tb_VillagersNoRaidersCooldown=..0}] run function lifeely:files/player_reset_raidstatus
execute as @a[scores={._..tb_VillagersRaidWins=1..}] at @s if entity @s[scores={._..tb_VillagersNoRaidersCooldown=..0}] run function lifeely:files/player_reset_raidstatus
execute as @a[scores={._..tb_VillagersRaidWins=1..,._..tb_VillagersNoRaidersCooldown=..0}] at @s unless entity @e[type=#raiders,distance=..160,nbt=!{RaidId:0}] run scoreboard players set @s ._..tb_VillagersNoRaidersCooldown 800

